MIX_CreateAudioDecoder(3)

NAME
MIX_CreateAudioDecoder - Create a MIX_AudioDecoder from a path on the filesystem.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

MIX_AudioDecoder * MIX_CreateAudioDecoder(const char *path, SDL_PropertiesID props);

DESCRIPTION
Most apps won't need this, as SDL_mixer's usual interfaces will decode audio as needed. However, if one wants to decode an audio file into a memory buffer without playing it, this interface offers that.

This function allows properties to be specified. This is intended to supply file-specific settings, such as where to find SoundFonts for a MIDI file, etc. In most cases, the caller should pass a zero to specify no extra properties.

SDL_PropertiesID are discussed in
 .

When done with the audio decoder, it can be destroyed with MIX_DestroyAudioDecoder().

This function requires SDL_mixer to have been initialized with a successful call to MIX_Init(), but does not need an actual MIX_Mixer to have been created.

FUNCTION PARAMETERS

path
    the path on the filesystem from which to load data.

props
    decoder-specific properties. May be zero.

RETURN VALUE
Returns an audio decoder, ready to decode.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_CreateAudioDecoder_IO(3), MIX_DecodeAudio(3), MIX_DestroyAudioDecoder(3)